| GL Studio C++ Runtime API

Public Member Functions | Public Attributes | List of all members
MouseEvent Class Reference

`#include <events.h>`

Inheritance diagram for MouseEvent:

## Public Member Functions
| MouseEvent ()
| MouseEvent (const MouseEvent &source)
| MouseEvent (const LocationEvent &source)
MouseEvent | operator= (const MouseEvent &source)
Public Member Functions inherited from LocationEvent
| LocationEvent ()
| LocationEvent (const LocationEvent &source)
LocationEvent | operator= (const LocationEvent &source)
Public Member Functions inherited from DisplayEvent
| DisplayEvent ()
| DisplayEvent (const DisplayEvent &source)
virtual | ~DisplayEvent ()

## Public Attributes
unsigned char | buttonMask
unsigned char | clicks
int | modifiers
unsigned int | cursorID
Public Attributes inherited from LocationEvent
Vector | winLoc
Vector | lCoords
Vector | oCoords
float & | x
float & | y
float & | z
float & | lx
float & | ly
float & | lz
float & | ox
float & | oy
float & | oz
Public Attributes inherited from DisplayEvent
unsigned short | eventType
unsigned short | eventSubtype

## Detailed Description

A mouse event

## Constructor & Destructor Documentation

## ◆ MouseEvent() [1/3]

MouseEvent | ( |  | ) |
| inline

Default Constructor

## ◆ MouseEvent() [2/3]

MouseEvent | ( | const MouseEvent & | source | ) |
| inline

Copy Constructor

Parameters

  source | The event to copy from.

## ◆ MouseEvent() [3/3]

MouseEvent | ( | const LocationEvent & | source | ) |
| inline

Copy Constructor from LocationEvent

Parameters

  source | The event to copy from.

## Member Function Documentation

## ◆ operator=()

MouseEvent operator= | ( | const MouseEvent & | source | ) |
| inline

Assignment operator

Parameters

  source | The event to copy from.

Returns
  The resulting event (this).

## Member Data Documentation

## ◆ buttonMask

unsigned char buttonMask

bitfield: which button was pressed for this event

## ◆ clicks

unsigned char clicks

Number of times a button was pressed

## ◆ cursorID

unsigned int cursorID

cursor id for multi-touch support

## ◆ modifiers

int modifiers

bitfield: which buttons or modifiers were depressed before event

See also
  SpecialKeyState_e

The documentation for this class was generated from the following file:

- events.h